<%- if @alt_document_root %>
alt_document_root = "<%= @alt_document_root %>"
<%- end %>

<% if @workhorse_keywatcher %>
[redis]
<% if @sentinels.empty? %>
URL = "<%= @redis_url %>"
Password = "<%= @password %>"
<% else %>
Sentinel = <%= @sentinels.map{ |sentinel| "tcp://#{sentinel['host']}:#{sentinel['port']}" }.to_s %>
SentinelMaster = "<%= @sentinel_master %>"
Password = "<%= @master_password %>"
<% end %>
<% end %>

<%- if @object_store['enabled'] && @object_store_provider %>
[object_storage]
  provider = "<%= @object_store_provider %>"

<%- if @object_store_provider == 'AWS' %>
[object_storage.s3]
  aws_access_key_id = "<%= @object_store.dig('connection', 'aws_access_key_id') %>"
  aws_secret_access_key = "<%= @object_store.dig('connection', 'aws_secret_access_key') %>"
<%- elsif @object_store_provider == 'AzureRM' %>
[object_storage.azurerm]
  azure_storage_account_name = "<%= @object_store.dig('connection', 'azure_storage_account_name') %>"
  azure_storage_access_key = "<%= @object_store.dig('connection', 'azure_storage_access_key') %>"
<%- end %>
<%- end %>

[image_resizer]
  max_scaler_procs = <%= @image_scaler_max_procs %>
  max_filesize = <%= @image_scaler_max_filesize %>
